﻿.aggregateDosing {
    display: grid;
    min-height: 30rem;
}

.aggregateDosingColumn {
    display: grid;
    grid-auto-flow: column;
}

.aggregateDosingDoubleColumn {
  
    grid-template-columns: 50% 50%;
}

.aggregateDosingTripleColumn {
    grid-template-columns: 1fr 1fr 1fr;
}

.aggregateDosing_firstRow {
    display: grid;
    grid-auto-flow: column;
}

.aggregateDosing_firstRow_container {
    display: grid;
    grid-template-rows: 10rem 3rem 4rem;
    border: 0.1rem solid rgba(1,1,1,0.5);
}

.aggregateDosing_firstRow_container_stock {
    display: grid;
    grid-template-columns: 1fr 1fr;
    position: relative;
    border-bottom: 0.1rem solid rgba(1,1,1,0.5);
    background-image: linear-gradient(to bottom, rgba(255,191,0,0.5), rgba(255,191,0,1));
}

.aggregateDosing_firstRow_container_stock_level {
    display: grid;
    grid-template-rows: 30% 10% 50% 10%;
    max-width: 50%;
    word-break: break-all;
}

.aggregateDosing_firstRow_container_stock_level_maxmin {
    font-weight: 600;
    text-transform: uppercase;
    color: whitesmoke;
    text-align: center;
    border-radius: 4rem;
}

.aggregateDosing_firstRow_container_stock_level_progressBar {
    margin-bottom: 0;
    position: relative;
    border: 0.1rem solid;
    background-color: whitesmoke;
    width: calc(100% - .2rem) !important;
}

.aggregateDosing_firstRow_container_stock_level_progressBar_value {
    position: absolute;
    text-align: left;
    left: 9%;
    top: 26%;
    font-size: 7px;
    font-weight: bold;
    color: gray;
    width: 100%;
}

.aggregateDosing_firstRow_container_stock_name {
    width: 8rem;
    position: absolute;
    top: 32%;
    left: 78%;
    transform: translate(-50%,-50%) rotate(-90deg) !important;
    font-weight: 600;

}

.aggregateDosing_firstRow_container_scale {
}

.aggregateDosing_firstRow_container_scale_position {
    width: 100%;
    height: 100%;
    background-color: orangered;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
    text-align: center;
    color: whitesmoke;
    font-weight: 600;
    letter-spacing: 0.2rem;
}

.aggregateDosing_secondRow {
    display: grid;
    grid-auto-flow: column;
}

.aggregateDosing_secondRow_skip {
}

.aggregateDosing_thirdRow_skip_object {

    background-color: black;
    -webkit-clip-path: polygon(0 0, 100% 0, 48% 100%, 0% 100%);
    clip-path: polygon(0 0, 100% 0, 46% 100%, 0% 100%);
    background-image: linear-gradient(to top, rgba(255, 255, 255, 0.7) 0%, rgba(255, 255, 255, 0.3) 46%);
}

.aggregateDosing_secondRow_skip_name {
}

.aggregateDosing_firstRow_container_extractor {
    border-bottom: 0.1rem solid rgba(1,1,1,0.5);
    position: relative;
}

.aggregateDosing_firstRow_container_extractor_item {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    font-size: 2rem;
}

.stock_prova:nth-child(2) {
    border-left: 0.1rem solid;
}

.stock_prova:nth-child(3) {
    border-left: 0.1rem solid;
}

.rounded-position {
    margin-top:5px;
    background-image: linear-gradient(grey, darkgrey);
    height: 1.4rem;
    width: 1.4rem;
    border-radius: 50%;
}

